datacache <- new.env(hash=TRUE, parent=emptyenv())

mu11ksubbmmentrezg <- function() showQCData("mu11ksubbmmentrezg", datacache)
mu11ksubbmmentrezg_dbconn <- function() dbconn(datacache)
mu11ksubbmmentrezg_dbfile <- function() dbfile(datacache)
mu11ksubbmmentrezg_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
mu11ksubbmmentrezg_dbInfo <- function() dbInfo(datacache)

mu11ksubbmmentrezgORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "mu11ksubbmmentrezg.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("MOUSECHIP_DB", "mu11ksubbmmentrezg", "chip mu11ksubbmmentrezg", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(mu11ksubbmmentrezg_dbconn())
}

